Bug 458631

Summary: Missing MLT module: glaxnimate
Product: [Applications] kdenlive Reporter: Gabriel <szabcomp>
Component: InstallationAssignee: Asira ishihara <ralamsyah573>
Status: CONFIRMED ---    
Severity: normal CC: bugs.kde, dikus.android, jbfunk05, kitt997, noah.adamson, ralamsyah573
Priority: NOR    
Version: 22.08.0   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: attachment-10013-0.html
attachment-23121-0.html
from_FlatPack.png
from_FlatPack2.png
from_PPA.png
from_Snap.png

Description Gabriel 2022-09-02 08:07:28 UTC
Missing MLT module: glaxnimate
Comment 1 Julius Künzel 2022-09-11 16:35:12 UTC
Thanks for your report!

Since MLT is a dependency of Kdenlive, this is a packaging issue.

Can you please us how you installed Kdenlive (eg. Appimage, PPA, Flatpak, Snap…)? Best would be to do this by setting the "Platform" field of this report that is currently "Other").
(In case you don't know this info, you can go to kdenlive menu Help > Copy Debug Information and paste the text here)
Please also remember to do this in further bug reports since it is an important information for the devs. Read https://kdenlive.org/en/bug-reports/ about how to write high quality bug reports.

Please note that, since this is a packaging issue, you should report this issue to your ditribution in case you installed Kdenlive from your distro packages. The Kdenlive team is only able to solve packaging issues with the offical packages available under www.kdenlive.org/download
Comment 2 Gabriel 2022-09-11 16:59:25 UTC
Created attachment 151988 [details]
attachment-10013-0.html

I was installed from ppa, flatpak, snap store, doesn't work for me.

Dňa ne, 11. sep 2022, 18:35 Julius Künzel <bugzilla_noreply@kde.org>
napísal(a):

> https://bugs.kde.org/show_bug.cgi?id=458631
>
> Julius Künzel <jk.kdedev@smartlab.uber.space> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>          Resolution|---                         |WAITINGFORINFO
>              Status|REPORTED                    |NEEDSINFO
>
> --- Comment #1 from Julius Künzel <jk.kdedev@smartlab.uber.space> ---
> Thanks for your report!
>
> Since MLT is a dependency of Kdenlive, this is a packaging issue.
>
> Can you please us how you installed Kdenlive (eg. Appimage, PPA, Flatpak,
> Snap…)? Best would be to do this by setting the "Platform" field of this
> report
> that is currently "Other").
> (In case you don't know this info, you can go to kdenlive menu Help > Copy
> Debug Information and paste the text here)
> Please also remember to do this in further bug reports since it is an
> important
> information for the devs. Read https://kdenlive.org/en/bug-reports/ about
> how
> to write high quality bug reports.
>
> Please note that, since this is a packaging issue, you should report this
> issue
> to your ditribution in case you installed Kdenlive from your distro
> packages.
> The Kdenlive team is only able to solve packaging issues with the offical
> packages available under www.kdenlive.org/download
>
> --
> You are receiving this mail because:
> You reported the bug.
Comment 3 Julius Künzel 2022-09-18 18:47:25 UTC
So you tried all of them?
Comment 4 Gabriel 2022-09-18 19:01:08 UTC
Created attachment 152193 [details]
attachment-23121-0.html

Yes.

Dňa ne, 18. sep 2022, 20:47 Julius Künzel <bugzilla_noreply@kde.org>
napísal(a):

> https://bugs.kde.org/show_bug.cgi?id=458631
>
> --- Comment #3 from Julius Künzel <jk.kdedev@smartlab.uber.space> ---
> So you tried all of them?
>
> --
> You are receiving this mail because:
> You reported the bug.
Comment 5 Julius Künzel 2022-09-20 22:04:56 UTC
Okay, i can not reproduce. Can you please describe a bit more what "missing MLT module: glaxnimate" means for you then? A step by step instruction to reproduce the problem and maybe screenshots would be good.

BTW these are in general contained in a high quality bug report. Precise descriptions are really important to be able to debug a problem. See also https://kdenlive.org/en/bug-reports/
Comment 6 Gabriel 2022-09-21 04:45:07 UTC
Created attachment 152300 [details]
from_FlatPack.png

After last update from Snap crash on startup, from PPA missed MLT and from
FlatPack missed menu bar and glaxnimate error message.
sys info:
Linux saboka-Legion-5 5.15.0-48-generic #54-Ubuntu SMP Fri Aug 26 13
:26:29 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

saboka-legion-5
   description: Notebook
   product: 82JY (LENOVO_MT_82JY_BU_idea_FM_Legion 5 17ACH6H)
   vendor: LENOVO
   version: Legion 5 17ACH6H
   serial: PF3BB9R8
   width: 64 bits
   capabilities: smbios-3.3.0 dmi-3.3.0 smp vsyscall32
   configuration: administrator_password=disabled boot=normal chass
is=notebook family=Legion 5 17ACH6H frontpanel_password=disabled key
board_password=disabled power-on_password=disabled sku=LENOVO_MT_82J
Y_BU_idea_FM_Legion 5 17ACH6H uuid=f2ddc9d8-58b5-11ec-80f0-84a938ff3
90a
 *-core
      description: Motherboard
      product: LNVNB161216
      vendor: LENOVO
      physical id: 0
      version: NO DPK
      serial: PF3BB9R8
      slot: Base Board Chassis Location
    *-firmware
         description: BIOS
         vendor: LENOVO
         physical id: 0
         version: GKCN50WW
         date: 11/24/2021
         size: 128KiB
         capacity: 16MiB
         capabilities: pci upgrade shadowing cdboot bootselect edd
int13floppynec int13floppytoshiba int13floppy360 int13floppy1200 int
13floppy720 int13floppy2880 int9keyboard int10video acpi usb biosboo
tspecification uefi
    *-cpu
         description: CPU
         product: AMD Ryzen 7 5800H with Radeon Graphics
         vendor: Advanced Micro Devices [AMD]
         physical id: 4
         bus info: cpu@0
         version: 25.80.0
         serial: Unknown
         slot: FP6
         size: 2719MHz
         capacity: 4463MHz
         width: 64 bits
         clock: 100MHz
         capabilities: lm fpu fpu_exception wp vme de pse tsc msr p
ae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse
sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp x86-64 constant_t
sc rep_good nopl nonstop_tsc cpuid extd_apicid aperfmperf rapl pni p
clmulqdq monitor ssse3 fma cx16 sse4_1 sse4_2 movbe popcnt aes xsave
avx f16c rdrand lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a
misalignsse 3dnowprefetch osvw ibs skinit wdt tce topoext perfctr_c
ore perfctr_nb bpext perfctr_llc mwaitx cpb cat_l3 cdp_l3 hw_pstate
ssbd mba ibrs ibpb stibp vmmcall fsgsbase bmi1 avx2 smep bmi2 erms i
nvpcid cqm rdt_a rdseed adx smap clflushopt clwb sha_ni xsaveopt xsa
vec xgetbv1 xsaves cqm_llc cqm_occup_llc cqm_mbm_total cqm_mbm_local
clzero irperf xsaveerptr rdpru wbnoinvd cppc arat npt lbrv svm_lock
nrip_save tsc_scale vmcb_clean flushbyasid decodeassists pausefilte
r pfthreshold avic v_vmsave_vmload vgif v_spec_ctrl umip pku ospke v
aes vpclmulqdq rdpid overflow_recov succor smca fsrm cpufreq
         configuration: cores=8 enabledcores=8 microcode=173015052
threads=16
       *-cache:0
            description: L1 cache
            physical id: 5
            slot: L1 - Cache
            size: 512KiB
            capacity: 512KiB
            clock: 1GHz (1.0ns)
            capabilities: pipeline-burst internal write-back unifie
d
            configuration: level=1
       *-cache:1
            description: L2 cache
            physical id: 6
            slot: L2 - Cache
            size: 4MiB
            capacity: 4MiB
            clock: 1GHz (1.0ns)
            capabilities: pipeline-burst internal write-back unifie
d
            configuration: level=2
       *-cache:2
            description: L3 cache
            physical id: 7
            slot: L3 - Cache
            size: 16MiB
            capacity: 16MiB
            clock: 1GHz (1.0ns)
            capabilities: pipeline-burst internal write-back unifie
d
            configuration: level=3
    *-memory
         description: System Memory
         physical id: 23
         slot: System board or motherboard
         size: 64GiB
       *-bank:0
            description: SODIMM DDR4 Synchronous Unbuffered (Unregi
stered) 3200 MHz (0,3 ns)
            product: KF3200C20S4/32GX
            vendor: Kingston
            physical id: 0
            serial: 6DA52E87
            slot: DIMM 0
            size: 32GiB
            width: 64 bits
            clock: 3200MHz (0.3ns)
       *-bank:1
            description: SODIMM DDR4 Synchronous Unbuffered (Unregi
stered) 3200 MHz (0,3 ns)
            product: KF3200C20S4/32GX
            vendor: Kingston
            physical id: 1
            serial: BEBA1EE4
            slot: DIMM 0
            size: 32GiB
            width: 64 bits
            clock: 3200MHz (0.3ns)
    *-pci:0
         description: Host bridge
         product: Renoir/Cezanne Root Complex
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 100
         bus info: pci@0000:00:00.0
         version: 00
         width: 32 bits
         clock: 33MHz
       *-generic UNCLAIMED
            description: IOMMU
            product: Renoir/Cezanne IOMMU
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 0.2
            bus info: pci@0000:00:00.2
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: msi ht bus_master cap_list
            configuration: latency=0
       *-pci:0
            description: PCI bridge
            product: Renoir PCIe GPP Bridge
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 1.1
            bus info: pci@0000:00:01.1
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: pci pm pciexpress msi ht normal_decode bu
s_master cap_list
            configuration: driver=pcieport
            resources: irq:26 ioport:2000(size=4096) memory:d000000
0-d10fffff ioport:fa00000000(size=8623489024)
          *-display
               description: VGA compatible controller
               product: GA104M [GeForce RTX 3070 Mobile / Max-Q]
               vendor: NVIDIA Corporation
               physical id: 0
               bus info: pci@0000:01:00.0
               version: a1
               width: 64 bits
               clock: 33MHz
               capabilities: pm msi pciexpress vga_controller bus_m
aster cap_list rom
               configuration: driver=nvidia latency=0
               resources: iomemory:fa0-f9f iomemory:fc0-fbf irq:82
memory:d0000000-d0ffffff memory:fa00000000-fbffffffff memory:fc00000
000-fc01ffffff ioport:2000(size=128) memory:d1080000-d10fffff
          *-multimedia
               description: Audio device
               product: GA104 High Definition Audio Controller
               vendor: NVIDIA Corporation
               physical id: 0.1
               bus info: pci@0000:01:00.1
               logical name: card0
               logical name: /dev/snd/controlC0
               logical name: /dev/snd/hwC0D0
               logical name: /dev/snd/pcmC0D10p
               logical name: /dev/snd/pcmC0D11p
               logical name: /dev/snd/pcmC0D3p
               logical name: /dev/snd/pcmC0D7p
               logical name: /dev/snd/pcmC0D8p
               logical name: /dev/snd/pcmC0D9p
               version: a1
               width: 32 bits
               clock: 33MHz
               capabilities: pm msi pciexpress bus_master cap_list
               configuration: driver=snd_hda_intel latency=0
               resources: irq:79 memory:d1000000-d1003fff
             *-input:0
                  product: HDA NVidia HDMI/DP,pcm=3
                  physical id: 0
                  logical name: input22
                  logical name: /dev/input/event17
             *-input:1
                  product: HDA NVidia HDMI/DP,pcm=7
                  physical id: 1
                  logical name: input23
                  logical name: /dev/input/event18
             *-input:2
                  product: HDA NVidia HDMI/DP,pcm=8
                  physical id: 2
                  logical name: input24
                  logical name: /dev/input/event19
             *-input:3
                  product: HDA NVidia HDMI/DP,pcm=9
                  physical id: 3
                  logical name: input25
                  logical name: /dev/input/event20
             *-input:4
                  product: HDA NVidia HDMI/DP,pcm=10
                  physical id: 4
                  logical name: input26
                  logical name: /dev/input/event21
             *-input:5
                  product: HDA NVidia HDMI/DP,pcm=11
                  physical id: 5
                  logical name: input27
                  logical name: /dev/input/event22
       *-pci:1
            description: PCI bridge
            product: Renoir/Cezanne PCIe GPP Bridge
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 1.2
            bus info: pci@0000:00:01.2
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: pci pm pciexpress msi ht normal_decode bu
s_master cap_list
            configuration: driver=pcieport
            resources: irq:27 memory:d1700000-d17fffff
          *-nvme
               description: NVMe device
               product: WDC PC SN530 SDBPMPZ-512G-1101
               vendor: Sandisk Corp
               physical id: 0
               bus info: pci@0000:02:00.0
               logical name: /dev/nvme0
               version: 21160001
               serial: 213407803765
               width: 64 bits
               clock: 33MHz
               capabilities: nvme pm msi msix pciexpress nvm_expres
s bus_master cap_list
               configuration: driver=nvme latency=0 nqn=nqn.2018-01
.com.wdc:guid:E8238FA6BF53-0001-001B448B41EF6F83 state=live
               resources: irq:44 memory:d1700000-d1703fff memory:d1
704000-d17040ff
             *-namespace:0
                  description: NVMe disk
                  physical id: 0
                  logical name: hwmon2
             *-namespace:1
                  description: NVMe disk
                  physical id: 2
                  logical name: /dev/ng0n1
             *-namespace:2
                  description: NVMe disk
                  physical id: 1
                  bus info: nvme@0:1
                  logical name: /dev/nvme0n1
                  size: 476GiB (512GB)
                  capabilities: gpt-1.00 partitioned partitioned:gp
t
                  configuration: guid=8cb250fa-209b-4726-85fc-5976c
970e80e logicalsectorsize=512 sectorsize=512 wwid=eui.001b448b41ef6f
83
                *-volume:0 UNCLAIMED
                     description: Windows FAT volume
                     vendor: mkfs.fat
                     physical id: 1
                     bus info: nvme@0:1,1
                     version: FAT32
                     serial: d9e0-3dba
                     size: 510MiB
                     capacity: 511MiB
                     capabilities: boot fat initialized
                     configuration: FATs=2 filesystem=fat name=EFI
System Partition
                *-volume:1
                     description: EXT4 volume
                     vendor: Linux
                     physical id: 2
                     bus info: nvme@0:1,2
                     logical name: /dev/nvme0n1p2
                     logical name: /
                     logical name: /var/snap/firefox/common/host-hu
nspell
                     version: 1.0
                     serial: 02906792-1ca5-48ba-869b-a6ec56330ac9
                     size: 476GiB
                     capabilities: journaled extended_attributes la
rge_files huge_files dir_nlink recover 64bit extents ext4 ext2 initi
alized
                     configuration: created=2022-04-01 06:45:15 fil
esystem=ext4 lastmountpoint=/ modified=2022-09-21 06:01:54 mount.fst
ype=ext4 mount.options=ro,noexec,noatime,errors=remount-ro mounted=2
022-09-21 06:01:54 state=mounted
       *-pci:2
            description: PCI bridge
            product: Renoir/Cezanne PCIe GPP Bridge
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 2.1
            bus info: pci@0000:00:02.1
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: pci pm pciexpress msi ht normal_decode bu
s_master cap_list
            configuration: driver=pcieport
            resources: irq:28 ioport:1000(size=4096) memory:d160000
0-d16fffff
          *-network
               description: Ethernet interface
               product: RTL8111/8168/8411 PCI Express Gigabit Ether
net Controller
               vendor: Realtek Semiconductor Co., Ltd.
               physical id: 0
               bus info: pci@0000:03:00.0
               logical name: eno1
               version: 15
               serial: 84:a9:38:ff:39:0a
               capacity: 1Gbit/s
               width: 64 bits
               clock: 33MHz
               capabilities: pm msi pciexpress msix bus_master cap_
list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd
autonegotiation
               configuration: autonegotiation=on broadcast=yes driv
er=r8169 driverversion=5.15.0-48-generic firmware=rtl8168h-2_0.0.2 0
2/26/15 latency=0 link=no multicast=yes port=twisted pair
               resources: irq:48 ioport:1000(size=256) memory:d1604
000-d1604fff memory:d1600000-d1603fff
       *-pci:3
            description: PCI bridge
            product: Renoir/Cezanne PCIe GPP Bridge
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 2.2
            bus info: pci@0000:00:02.2
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: pci pm pciexpress msi ht normal_decode bu
s_master cap_list
            configuration: driver=pcieport
            resources: irq:29 ioport:fc02000000(size=2097152)
          *-network
               description: Wireless interface
               product: MT7921 802.11ax PCI Express Wireless Networ
k Adapter
               vendor: MEDIATEK Corp.
               physical id: 0
               bus info: pci@0000:04:00.0
               logical name: wlp4s0
               version: 00
               serial: 4c:d5:77:e4:46:83
               width: 64 bits
               clock: 33MHz
               capabilities: pciexpress msi pm bus_master cap_list
ethernet physical wireless
               configuration: broadcast=yes driver=mt7921e driverve
rsion=5.15.0-48-generic firmware=____010000-20220209150915 ip=192.16
8.43.4 latency=0 link=yes multicast=yes wireless=IEEE 802.11
               resources: iomemory:fc0-fbf iomemory:fc0-fbf iomemor
y:fc0-fbf irq:78 memory:fc02000000-fc020fffff memory:fc02100000-fc02
103fff memory:fc02104000-fc02104fff
       *-pci:4
            description: PCI bridge
            product: Renoir Internal PCIe GPP Bridge to Bus
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 8.1
            bus info: pci@0000:00:08.1
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: pci pm pciexpress msi normal_decode bus_m
aster cap_list
            configuration: driver=pcieport
            resources: irq:30 memory:d1200000-d15fffff
          *-generic:0 UNCLAIMED
               description: Non-Essential Instrumentation
               product: Zeppelin/Raven/Raven2 PCIe Dummy Function
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0
               bus info: pci@0000:05:00.0
               version: c5
               width: 32 bits
               clock: 33MHz
               capabilities: pm pciexpress cap_list
               configuration: latency=0
          *-generic:1
               description: Encryption controller
               product: Family 17h (Models 10h-1fh) Platform Securi
ty Processor
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0.2
               bus info: pci@0000:05:00.2
               version: 00
               width: 32 bits
               clock: 33MHz
               capabilities: pm pciexpress msi msix bus_master cap_
list
               configuration: driver=ccp latency=0
               resources: irq:48 memory:d1400000-d14fffff memory:d1
548000-d1549fff
          *-usb:0
               description: USB controller
               product: Renoir/Cezanne USB 3.1
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0.3
               bus info: pci@0000:05:00.3
               version: 00
               width: 64 bits
               clock: 33MHz
               capabilities: pm pciexpress msi msix xhci bus_master
cap_list
               configuration: driver=xhci_hcd latency=0
               resources: irq:32 memory:d1200000-d12fffff
             *-usbhost:0
                  product: xHCI Host Controller
                  vendor: Linux 5.15.0-48-generic xhci-hcd
                  physical id: 0
                  bus info: usb@1
                  logical name: usb1
                  version: 5.15
                  capabilities: usb-2.00
                  configuration: driver=hub slots=4 speed=480Mbit/s
                *-usb:0
                     description: USB hub
                     product: USB2.1 Hub
                     vendor: GenesysLogic
                     physical id: 2
                     bus info: usb@1:2
                     version: 71.00
                     capabilities: usb-2.10
                     configuration: driver=hub slots=3 speed=480Mbi
t/s
                *-usb:1
                     description: Video
                     product: Integrated Camera: Integrated C
                     vendor: Azurewave
                     physical id: 3
                     bus info: usb@1:3
                     logical name: input18
                     logical name: /dev/input/event6
                     version: 19.19
                     capabilities: usb-2.01 usb
                     configuration: driver=uvcvideo maxpower=500mA
speed=480Mbit/s
                *-usb:2
                     description: Keyboard
                     product: ITE Tech. Inc. ITE Device(8910) Wirel
ess Radio Control
                     vendor: ITE Tech. Inc.
                     physical id: 4
                     bus info: usb@1:4
                     logical name: input15
                     logical name: /dev/input/event11
                     logical name: input15::capslock
                     logical name: input15::compose
                     logical name: input15::kana
                     logical name: input15::numlock
                     logical name: input15::scrolllock
                     logical name: input16
                     logical name: /dev/input/event12
                     version: 7.00
                     capabilities: usb-2.01 usb
                     configuration: driver=usbhid maxpower=100mA sp
eed=12Mbit/s
             *-usbhost:1
                  product: xHCI Host Controller
                  vendor: Linux 5.15.0-48-generic xhci-hcd
                  physical id: 1
                  bus info: usb@2
                  logical name: usb2
                  version: 5.15
                  capabilities: usb-3.10
                  configuration: driver=hub slots=2 speed=10000Mbit
/s
                *-usb
                     description: USB hub
                     product: USB3.2 Hub
                     vendor: GenesysLogic
                     physical id: 2
                     bus info: usb@2:2
                     version: 71.00
                     capabilities: usb-3.20
                     configuration: driver=hub slots=3 speed=5000Mb
it/s
                   *-usb
                        description: Mass storage device
                        product: M3 Portable
                        vendor: Seagate
                        physical id: 1
                        bus info: usb@2:2.1
                        logical name: scsi2
                        version: 7.08
                        serial: NM14LE24
                        capabilities: usb-3.00 scsi
                        configuration: driver=uas maxpower=896mA sp
eed=5000Mbit/s
                      *-disk
                           description: SCSI Disk
                           product: M3 Portable
                           vendor: Seagate
                           physical id: 0.0.0
                           bus info: scsi@2:0.0.0
                           logical name: /dev/sda
                           version: 0708
                           serial: NM14LE24
                           size: 931GiB (1TB)
                           capabilities: partitioned partitioned:do
s
                           configuration: ansiversion=6 logicalsect
orsize=512 sectorsize=4096 signature=471f26d0
                         *-volume
                              description: Windows FAT volume
                              vendor: mkfs.fat
                              physical id: 1
                              bus info: scsi@2:0.0.0,1
                              logical name: /dev/sda1
                              logical name: /media/saboka/Maxtor
                              version: FAT32
                              serial: fca0-aedc
                              size: 931GiB
                              capacity: 931GiB
                              capabilities: primary fat initialized
                              configuration: FATs=2 filesystem=fat
label=Maxtor mount.fstype=vfat mount.options=rw,nosuid,nodev,relatim
e,uid=1000,gid=1000,fmask=0022,dmask=0022,codepage=437,iocharset=iso
8859-1,shortname=mixed,showexec,utf8,flush,errors=remount-ro state=m
ounted
          *-usb:1
               description: USB controller
               product: Renoir/Cezanne USB 3.1
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0.4
               bus info: pci@0000:05:00.4
               version: 00
               width: 64 bits
               clock: 33MHz
               capabilities: pm pciexpress msi msix xhci bus_master
cap_list
               configuration: driver=xhci_hcd latency=0
               resources: irq:49 memory:d1300000-d13fffff
             *-usbhost:0
                  product: xHCI Host Controller
                  vendor: Linux 5.15.0-48-generic xhci-hcd
                  physical id: 0
                  bus info: usb@3
                  logical name: usb3
                  version: 5.15
                  capabilities: usb-2.00
                  configuration: driver=hub slots=4 speed=480Mbit/s
                *-usb:0
                     description: USB hub
                     product: USB2.1 Hub
                     vendor: GenesysLogic
                     physical id: 2
                     bus info: usb@3:2
                     version: 71.10
                     capabilities: usb-2.10
                     configuration: driver=hub slots=2 speed=480Mbi
t/s
                   *-usb
                        description: Keyboard
                        product: MOSART Semi. Trust EVO Mouse
                        vendor: MOSART Semi.
                        physical id: 1
                        bus info: usb@3:2.1
                        logical name: input10
                        logical name: /dev/input/event9
                        logical name: /dev/input/mouse2
                        logical name: input11
                        logical name: /dev/input/event10
                        logical name: input12
                        logical name: /dev/input/event13
                        logical name: input14
                        logical name: /dev/input/event14
                        logical name: input9
                        logical name: /dev/input/event8
                        logical name: input9::capslock
                        logical name: input9::numlock
                        logical name: input9::scrolllock
                        version: 1.18
                        capabilities: usb-1.10 usb
                        configuration: driver=usbhid maxpower=100mA
speed=12Mbit/s
                *-usb:1
                     description: Bluetooth wireless interface
                     product: Wireless_Device
                     vendor: MediaTek Inc.
                     physical id: 4
                     bus info: usb@3:4
                     version: 1.00
                     serial: 000000000
                     capabilities: usb-2.10 bluetooth
                     configuration: driver=btusb maxpower=100mA spe
ed=480Mbit/s
             *-usbhost:1
                  product: xHCI Host Controller
                  vendor: Linux 5.15.0-48-generic xhci-hcd
                  physical id: 1
                  bus info: usb@4
                  logical name: usb4
                  version: 5.15
                  capabilities: usb-3.10
                  configuration: driver=hub slots=2 speed=10000Mbit
/s
                *-usb
                     description: USB hub
                     product: USB3.2 Hub
                     vendor: GenesysLogic
                     physical id: 2
                     bus info: usb@4:2
                     version: 71.10
                     capabilities: usb-3.20
                     configuration: driver=hub slots=2 speed=5000Mb
it/s
          *-multimedia:0 UNCLAIMED
               description: Multimedia controller
               product: Raven/Raven2/FireFlight/Renoir Audio Proces
sor
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0.5
               bus info: pci@0000:05:00.5
               version: 01
               width: 32 bits
               clock: 33MHz
               capabilities: pm pciexpress msi cap_list
               configuration: latency=0
               resources: memory:d1500000-d153ffff
          *-multimedia:1
               description: Audio device
               product: Family 17h (Models 10h-1fh) HD Audio Contro
ller
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0.6
               bus info: pci@0000:05:00.6
               logical name: card1
               logical name: /dev/snd/controlC1
               logical name: /dev/snd/hwC1D0
               logical name: /dev/snd/pcmC1D0c
               logical name: /dev/snd/pcmC1D0p
               version: 00
               width: 32 bits
               clock: 33MHz
               capabilities: pm pciexpress msi bus_master cap_list
               configuration: driver=snd_hda_intel latency=0
               resources: irq:80 memory:d1540000-d1547fff
             *-input:0
                  product: HD-Audio Generic Mic
                  physical id: 0
                  logical name: input28
                  logical name: /dev/input/event23
             *-input:1
                  product: HD-Audio Generic Headphone
                  physical id: 1
                  logical name: input29
                  logical name: /dev/input/event24
       *-pci:5
            description: PCI bridge
            product: Renoir Internal PCIe GPP Bridge to Bus
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 8.2
            bus info: pci@0000:00:08.2
            version: 00
            width: 32 bits
            clock: 33MHz
            capabilities: pci pm pciexpress msi normal_decode bus_m
aster cap_list
            configuration: driver=pcieport
            resources: irq:31 memory:d1100000-d11fffff
          *-sata:0
               description: SATA controller
               product: FCH SATA Controller [AHCI mode]
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0
               bus info: pci@0000:06:00.0
               version: 81
               width: 32 bits
               clock: 33MHz
               capabilities: sata pm pciexpress msi ahci_1.0 bus_ma
ster cap_list
               configuration: driver=ahci latency=0
               resources: irq:34 memory:d1101000-d11017ff
          *-sata:1
               description: SATA controller
               product: FCH SATA Controller [AHCI mode]
               vendor: Advanced Micro Devices, Inc. [AMD]
               physical id: 0.1
               bus info: pci@0000:06:00.1
               version: 81
               width: 32 bits
               clock: 33MHz
               capabilities: sata pm pciexpress msi ahci_1.0 bus_ma
ster cap_list
               configuration: driver=ahci latency=0
               resources: irq:47 memory:d1100000-d11007ff
       *-serial
            description: SMBus
            product: FCH SMBus Controller
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 14
            bus info: pci@0000:00:14.0
            version: 51
            width: 32 bits
            clock: 66MHz
            configuration: driver=piix4_smbus latency=0
            resources: irq:0
       *-isa
            description: ISA bridge
            product: FCH LPC Bridge
            vendor: Advanced Micro Devices, Inc. [AMD]
            physical id: 14.3
            bus info: pci@0000:00:14.3
            version: 51
            width: 32 bits
            clock: 66MHz
            capabilities: isa bus_master
            configuration: latency=0
          *-pnp00:00
               product: PnP device PNP0c02
               physical id: 0
               capabilities: pnp
               configuration: driver=system
          *-pnp00:01
               product: PnP device PNP0b00
               physical id: 1
               capabilities: pnp
               configuration: driver=rtc_cmos
          *-pnp00:02
               product: PnP device FUJ7401
               vendor: Fujitsu Ltd
               physical id: 2
               capabilities: pnp
               configuration: driver=i8042 kbd
          *-pnp00:03
               product: PnP device PNP0c02
               physical id: 3
               capabilities: pnp
               configuration: driver=system
          *-pnp00:04
               product: PnP device PNP0c01
               physical id: 4
               capabilities: pnp
               configuration: driver=system
          *-input
               product: Ideapad extra buttons
               physical id: 5
               logical name: input17
               logical name: /dev/input/event15
               capabilities: platform
    *-pci:1
         description: Host bridge
         product: Renoir PCIe Dummy Host Bridge
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 101
         bus info: pci@0000:00:01.0
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:2
         description: Host bridge
         product: Renoir PCIe Dummy Host Bridge
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 102
         bus info: pci@0000:00:02.0
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:3
         description: Host bridge
         product: Renoir PCIe Dummy Host Bridge
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 103
         bus info: pci@0000:00:08.0
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:4
         description: Host bridge
         product: Cezanne Data Fabric; Function 0
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 104
         bus info: pci@0000:00:18.0
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:5
         description: Host bridge
         product: Cezanne Data Fabric; Function 1
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 105
         bus info: pci@0000:00:18.1
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:6
         description: Host bridge
         product: Cezanne Data Fabric; Function 2
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 106
         bus info: pci@0000:00:18.2
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:7
         description: Host bridge
         product: Cezanne Data Fabric; Function 3
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 107
         bus info: pci@0000:00:18.3
         version: 00
         width: 32 bits
         clock: 33MHz
         configuration: driver=k10temp
         resources: irq:0
    *-pci:8
         description: Host bridge
         product: Cezanne Data Fabric; Function 4
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 108
         bus info: pci@0000:00:18.4
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:9
         description: Host bridge
         product: Cezanne Data Fabric; Function 5
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 109
         bus info: pci@0000:00:18.5
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:10
         description: Host bridge
         product: Cezanne Data Fabric; Function 6
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 10a
         bus info: pci@0000:00:18.6
         version: 00
         width: 32 bits
         clock: 33MHz
    *-pci:11
         description: Host bridge
         product: Cezanne Data Fabric; Function 7
         vendor: Advanced Micro Devices, Inc. [AMD]
         physical id: 10b
         bus info: pci@0000:00:18.7
         version: 00
         width: 32 bits
         clock: 33MHz
 *-battery
      description: Zinc Air Battery
      product: CRB Battery 0
      vendor: -Virtual Battery 0-
      physical id: 1
      version: 08/08/2010
      serial: Battery 0
      slot: Fake
 *-graphics
      product: EFI VGA
      physical id: 2
      logical name: /dev/fb0
      capabilities: fb
      configuration: depth=32 resolution=1920,1080
 *-input:0
      product: Power Button
      physical id: 3
      logical name: input0
      logical name: /dev/input/event0
      capabilities: platform
 *-input:1
      product: Lid Switch
      physical id: 4
      logical name: input1
      logical name: /dev/input/event1
      capabilities: platform
 *-input:2
      product: MSFT0001:00 04F3:31DD Mouse
      physical id: 5
      logical name: input19
      logical name: /dev/input/event7
      logical name: /dev/input/mouse0
      capabilities: i2c
 *-input:3
      product: Power Button
      physical id: 6
      logical name: input2
      logical name: /dev/input/event2
      capabilities: platform
 *-input:4
      product: MSFT0001:00 04F3:31DD Touchpad
      physical id: 7
      logical name: input21
      logical name: /dev/input/event16
      logical name: /dev/input/mouse1
      capabilities: i2c
 *-input:5
      product: AT Raw Set 2 keyboard
      physical id: 8
      logical name: input3
      logical name: /dev/input/event3
      logical name: input3::capslock
      logical name: input3::numlock
      logical name: input3::scrolllock
      capabilities: i8042
 *-input:6
      product: Video Bus
      physical id: 9
      logical name: input4
      logical name: /dev/input/event4
      capabilities: platform
 *-input:7
      product: Video Bus
      physical id: a
      logical name: input5
      logical name: /dev/input/event5
      capabilities: platform

st 21. 9. 2022 o 0:05 Julius Künzel <bugzilla_noreply@kde.org> napísal(a):

> https://bugs.kde.org/show_bug.cgi?id=458631
>
> --- Comment #5 from Julius Künzel <jk.kdedev@smartlab.uber.space> ---
> Okay, i can not reproduce. Can you please describe a bit more what
> "missing MLT
> module: glaxnimate" means for you then? A step by step instruction to
> reproduce
> the problem and maybe screenshots would be good.
>
> BTW these are in general contained in a high quality bug report. Precise
> descriptions are really important to be able to debug a problem. See also
> https://kdenlive.org/en/bug-reports/
>
> --
> You are receiving this mail because:
> You reported the bug.
Comment 7 Gabriel 2022-09-21 04:45:08 UTC
Created attachment 152301 [details]
from_FlatPack2.png
Comment 8 Gabriel 2022-09-21 04:45:08 UTC
Created attachment 152302 [details]
from_PPA.png
Comment 9 Gabriel 2022-09-21 04:45:08 UTC
Created attachment 152303 [details]
from_Snap.png
Comment 10 Bug Janitor Service 2022-10-06 04:51:17 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 11 Ben 2022-10-08 20:40:15 UTC
I am also experiencing this with the snap package on Fedora 35. Worked before the update to kdenlive 22.08.1
Comment 12 Dikus 2022-10-12 18:28:35 UTC
Same here with snap installation in a RPI4.
Comment 13 Bug Janitor Service 2022-10-27 05:05:06 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 14 Bug Janitor Service 2022-11-11 05:21:44 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!
Comment 15 David 2022-12-02 09:44:36 UTC
Can confirm for me too. The bug is visible by going into Settings > config wizard:

"Missing MLT module: glaxnimate
required to load Lottie animations"


Operating System: Fedora Linux 36
KDE Plasma Version: 5.26.3
KDE Frameworks Version: 5.100.0
Qt Version: 5.15.7
Kernel Version: 6.0.10-200.fc36.x86_64 (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-8550U CPU @ 1.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
Manufacturer: Dell Inc.
Product Name: Inspiron 5570
Comment 16 noah.adamson 2022-12-17 22:40:31 UTC
Can also confirm that Kdenlive installed from PPA on PopOS 22.04. The Wizard is not seeing Glaxnimate as well as
the Create Animation right click menu item under the project bin is also grayed out.
I tried to install Glaxnimate from their PPA and pointed to the executable in /usr/bin/glaxnimate, but it was still not working.
Glaxnimate is able to run outside of Kdenlive.
Comment 17 JB 2023-01-07 23:42:17 UTC
I can confirm the same behavior:
Ubuntu 22.04.1
Installed latest version of kdenlive and MLT as of today (kdenlive 22.12.0-1~ubuntu22.04.1 and MLT 7.12.0-1~ubuntu22.04.1) from PPA: https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable

On launch kdenlive gives a warning box that states "Missing MLT Module: glaxnimate"

Digging into the automated build process on the PPA website, I looked at the MLT buildlog (amd64 build of mlt 7.12.0-1~ubuntu22.04.1 in ubuntu jammy RELEASE) available here: https://launchpadlibrarian.net/635002006/buildlog_ubuntu-jammy-amd64.mlt_7.12.0-1~ubuntu22.04.1_BUILDING.txt.gz

Starting at line 3923, it states:
"-- The following features have been disabled:

 * Tests
 * Doxygen
 * Module: Glaxnimate (Qt5)"

So the Glaxnimate module is disabled in the build process.

Looking at the source from the MLT website ( https://github.com/mltframework/mlt/releases/download/v7.12.0/mlt-7.12.0.tar.gz ), at line 20 of the CMakeLists.txt file ( https://github.com/mltframework/mlt/blob/master/CMakeLists.txt ) it states:
"option(MOD_GLAXNIMATE "Enable Glaxnimate module (Qt5)" OFF)"

So it appears that by default in the MLT source the Glaxnimate module is disabled. I would assume changing that flag to "ON" in the build process would fix the problem?